from textblob import TextBlob

def polarity(sentences):
    """
    :param sentences list of sentences
    :return: a list of singleton lists which contain
             a number between -1 and 1,
             where -1 is negative and 1 is positive.
    """
    return map(lambda sentence: [TextBlob(sentence).sentiment.polarity], sentences)
