from textblob import TextBlob

def subjectivity(sentences):
    """
    :param sentences list of sentences
    :return: a list of singleton lists which contain
            a number between 0 and 1,
            where 0 is objective and 1 is subjective.
    """
    return map(lambda sentence: [TextBlob(sentence).sentiment.subjectivity], sentences)
