from transformers import EmotionsExtractor
import sys
from data_utils import get_eval_data

if __name__ == '__main__':
    data_dir = sys.argv[1]
    start = 0
    end = None
    if len(sys.argv) > 2:
        start = int(sys.argv[2])
    if len(sys.argv) > 3:
        end = int(sys.argv[3])
    print('starting from sentence {} to sentence {}'.format(start, end))
    x, y = get_eval_data(data_dir, True)
    emotions_extractor = EmotionsExtractor()
    sentences = [a for vec in x for a in vec]
    emotions_extractor.save_features(sentences[start:end])
