from .has_singular_pronoun import has_singular_pronoun
from .has_plural_pronoun import has_plural_pronoun
from .readability import readability
from .sentiment import compute_sentiment
from .emotions import EmotionsExtractor
from .pos_tag_count import count_adjectives, count_adverbs, count_plural_pronouns, count_singular_pronouns, merge_pos_counts
from .lex import questions, exclamations, periods
from .subjectivity import subjectivity
from .polarity import polarity
from .loaded_language import loaded_language_phrase_counts, loaded_language_phrases_count
from .lexical import lexical_per_sentence
from .multimeaning import has_confusing_words
from .exclamations import exclamation_counts, exclamations_count
from .proper_nouns import singular_proper_noun_max_counts, plural_proper_noun_max_counts
