from nltk import word_tokenize, pos_tag

def has_singular_pronoun(text):
    tokens = word_tokenize(text)
    tagged = pos_tag(tokens)
    pronouns = [tup for tup in tagged if tup[1] == 'NNP']
    pronouns_len = len(pronouns)
    if pronouns_len == 0:
        return 0
    return 1
